Factunexo Docs
API RESTReferenciaBillingNotas de Crédito

Crear y autorizar nota de crédito

POST
/api/v1/billing/credit-notes

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/billing/credit-notes" \  -H "Content-Type: application/json" \  -d '{    "posId": "7f542382-3a91-4db8-938e-e9f86b88057c",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "info": {      "emissionDate": "2019-08-24",      "buyerTaxpayerName": "string",      "buyerIdentification": "string",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO",      "rise": "string",      "codDocMod": "string",      "numDocMod": "string",      "emissionDateDocMod": "2019-08-24",      "totalWithoutTaxes": 0,      "modificationValue": 0,      "currency": "USD",      "total": 0    },    "lines": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "code": "string",        "description": "string",        "quantity": 0,        "price": 0      }    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "creditNoteId": "49110a2d-45f9-4acd-8ec0-af0559e4138f",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "info": {      "emissionDate": "2019-08-24",      "address": "string",      "buyerIdentificationType": "RUC",      "buyerTaxpayerName": "string",      "buyerIdentification": "string",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO",      "rise": "string",      "codDocMod": "string",      "numDocMod": "string",      "emissionDateDocMod": "2019-08-24",      "totalWithoutTaxes": 0,      "modificationValue": 0,      "currency": "USD",      "total": 0,      "reason": "string"    },    "lines": [      {        "code": "string",        "extraCode": "string",        "description": "string",        "quantity": 0,        "price": 0,        "discountType": "AMOUNT",        "discount": 0,        "totalWithoutTaxes": 0      }    ]  }}